%define xtt_ver	0.19990222
%define kochi_ver 0.2.20020727
%define	kochimin	kochi-mincho-%{kochi_ver}
%define	kochigoth	kochi-gothic-%{kochi_ver}

Summary:	Free Japanese TrueType fonts (mincho & gothic)
Name:		fonts-ttf-japanese
Version:	0.20020727
Release:	3mdk
License:	Distributable
URL:		http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/
Group:		System/Fonts/True type

# url no longuer exists
Source0:	http://www.linux.or.jp/~ishikawa/linux/dists/FreeType/xtt-fonts_0.19990222-3.tar.bz2

# Original Kochi fonts include in ascii section non free glyphs, they must
# be removed. Red Hat did it, packages taken from them 

## Original fonts is here
## Source0:	http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/%{kochimin}.tar.bz2
Source1:	%{kochimin}.tar.bz2
## Original fonts is here
## Source1:	http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/%{kochigoth}.tar.bz2
Source2:	%{kochigoth}.tar.bz2

Source3:	%name-fonts.dir.bz2
Source4:	%name-fonts.alias.bz2
Source5:	cidinst.kanji
Source6:	cidunin.kanji

BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
Obsoletes:	xtt-fonts
Prereq:		%_sbindir/chkfontpath

%description
This Package provides Free Japanese TrueType fonts (Watanabe mincho & Wada Lab.
gothic) and fonts.{dir,aliases} for X-TT.


%prep

%setup -q -c -a0 -a1 -a2

%build

mkdir -p DOC/watanabe
cp xtt-fonts-%{xtt_ver}/*README* xtt-fonts-%{xtt_ver}/fonts.* \
	xtt-fonts-%{xtt_ver}/debian/{changelog,copyright} \
		DOC/watanabe/

mkdir -p DOC/kochi-gothic
cp kochi-gothic/AUTHORS kochi-gothic/README* kochi-gothic/THANKS \
	DOC/kochi-gothic

mkdir -p DOC/kochi-mincho
cp kochi-mincho/AUTHORS kochi-mincho/README* kochi-mincho/THANKS \
	DOC/kochi-mincho

%install
rm -fr %buildroot

install -d %buildroot/%_datadir/fonts/ttf/japanese/
install -m 0644 xtt-fonts-%{xtt_ver}/*.ttf \
	%buildroot/%_datadir/fonts/ttf/japanese

install -m 0755 %{SOURCE5} %buildroot/%_datadir/fonts/ttf/japanese/cidinst
install -m 0755 %{SOURCE6} %buildroot/%_datadir/fonts/ttf/japanese/cidunin

install -m 0644 kochi-gothic/fonts/*.ttf \
	%buildroot/%_datadir/fonts/ttf/japanese
install -m 0644 kochi-mincho/fonts/*.ttf \
	%buildroot/%_datadir/fonts/ttf/japanese

(
cd %buildroot/%_datadir/fonts/ttf/japanese/
# ttmkfdir doesn't work with those fonts
# /usr/sbin/ttmkfdir > fonts.scale
bzcat %SOURCE3 > fonts.scale
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
)

bzcat %{SOURCE4} \
	| sed 's/^\(.*\):\([^:]*\)$/\2/' \
	> %buildroot/%_datadir/fonts/ttf/japanese/fonts.aliases

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/japanese
   %_datadir/fonts/ttf/japanese/cidinst
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%preun
%_datadir/fonts/ttf/japanese/cidunin

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/japanese
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc DOC/*
#
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/japanese/
%_datadir/fonts/ttf/japanese/*.ttf
#
%attr(0755,root,root) %_datadir/fonts/ttf/japanese/cid*
#
%config(noreplace) %_datadir/fonts/ttf/japanese/fonts.aliases
%config(noreplace) %_datadir/fonts/ttf/japanese/fonts.dir
%config(noreplace) %_datadir/fonts/ttf/japanese/fonts.scale
%_datadir/fonts/ttf/japanese/fonts.cache-1

%changelog
* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.20020727-3mdk
- proper use of fc-cache

* Mon Dec 23 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.20020727-2mdk
- added Kochi-* fonts to cidinst scripts
- change cache files to Xft2 format

* Fri Sep  6 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.20020727-1mdk
- use now the kochi fonts, which work much better
- removed unused enconding file

* Wed Mar 06 2002 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.19990222-12mdk
- Add scripts to install/uninstall CID Fonts

* Mon Nov 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.19990222-11mdk
- Own /usr/share/fonts/ & Co
- Clean spec

* Sat Sep 22 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-10mdk
- manually  build fonts.dir (ttmkfdir can't fiond properly the font names)

* Fri Jun 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-9mdk
- added XftCache support

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.19990222-8mdk
- Use %%_tmppath for BuildRoot

* Fri Mar 23 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-7mdk
- removed useless stuff in %%post

* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-6mdk
- adapted for the xfs in XFree86 4

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 0.19990222-5mdk
- mandrake release.

* Thu Apr 20 2000 Vincent Saugey <vince@mandrakesoft.com> 0.19990222-4mdk
- Fixed group

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-3mdk
- make %post/%postun more robust
- new Groups: naming
- removed *.tti, which are now obsolete

* Wed Jan  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.19990222-2mdk
- add depency on chkfontpath.

* Wed Aug 25 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake
- make %post scripts to automatically make them available
  or disabled from font server.

* Wed Mar 31 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- chage TrueType fonts' directory name from truetype to TrueType

* Wed Feb 24 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [0.19990222]

* Thu Feb 18 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- make suitable fonts.dir/fonts.alias

* Thu Dec 24 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- stop addinf FontPath to XF86Config

* Thu Dec 17 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- add buildarch tag

* Sat Dec 12 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- including ttindex files

* Thu Dec 10 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- First Build
